
    // by parser/error.cc    
inline size_t CronData::lineNr() const
{
    return d_lineNr;
}

    // by cron/reload.cc
inline void CronData::messages(bool onOff)
{
    d_info = onOff;
}

    // by cron/list.cc
inline CronEntry const &CronData::operator[](size_t index) const
{
    return d_cronEntries[index];
}

    // by cron/runcronjobs.cc
inline std::vector<CronEntry> const &CronData::cronEntries() const
{
    return d_cronEntries;
}

    // by parser/inc/cronline, cronentry/cronentry.f (setCommand)
inline void CronData::setCommand(std::string const &command)
{
    d_next.setCommand(command);
}

    // by daemon/daemon1.cc, cron/handlerequest.cc, cron/list.cc
inline size_t CronData::size() const
{
    return d_cronEntries.size();
}

    // by cron/execute.cc
inline std::vector<std::string> const &CronData::environment() const
{
    return d_environment;
}

    // by daemon/parentprocess.cc
inline std::ostream &operator<<(std::ostream &out, CronData const &cronData)
{
    return cronData.insert(out);
}
